RTEMS: Conversion Helpers

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Files | Functions
Conversion Helpers
API » Classic

## Files
file | stringto.h
| Convert String to Pointer (with validation)
file | stringtodouble.c
| Convert String to Double (with validation)
file | stringtofloat.c
| Convert String to Float (with validation)
file | stringtoint.c
| Convert String to Int (with validation)
file | stringtolong.c
| Convert String to Long (with validation)
file | stringtolongdouble.c
| Convert String to long double (with validation)
file | stringtolonglong.c
| Convert String to Long Long (with validation)
file | stringtopointer.c
| Convert String to Pointer (with validation)
file | stringtounsignedchar.c
| Convert String to Unsigned Character (with validation)
file | stringtounsignedint.c
| Convert String to Unsigned Int (with validation)
file | stringtounsignedlong.c
| Convert String to Unsigned Long Long (with validation)
file | stringtounsignedlonglong.c
| Convert String to Unsigned Long Long (with validation)

## Functions
rtems_status_code | rtems_string_to_pointer (const char *s, void **n, char **endptr)
| Convert String to Pointer (with validation).
rtems_status_code | rtems_string_to_unsigned_char (const char *s, unsigned char *n, char **endptr, int base)
| Convert String to Unsigned Character (with validation).
rtems_status_code | rtems_string_to_int (const char *s, int *n, char **endptr, int base)
| Convert String to Int (with validation).
rtems_status_code | rtems_string_to_unsigned_int (const char *s, unsigned int *n, char **endptr, int base)
| Convert String to Unsigned Int (with validation).
rtems_status_code | rtems_string_to_long (const char *s, long *n, char **endptr, int base)
| Convert String to Long (with validation).
rtems_status_code | rtems_string_to_unsigned_long (const char *s, unsigned long *n, char **endptr, int base)
| Convert String to Unsigned Long (with validation).
rtems_status_code | rtems_string_to_long_long (const char *s, long long *n, char **endptr, int base)
| Convert String to Long Long (with validation).
rtems_status_code | rtems_string_to_unsigned_long_long (const char *s, unsigned long long *n, char **endptr, int base)
| Convert String to Unsigned Long Long (with validation).
rtems_status_code | rtems_string_to_float (const char *s, float *n, char **endptr)
| Convert String to Float (with validation).
rtems_status_code | rtems_string_to_double (const char *s, double *n, char **endptr)
| Convert String to Double (with validation).
rtems_status_code | rtems_string_to_long_double (const char *s, long double *n, char **endptr)
| Convert String to long double (with validation).

## Detailed Description

## Function Documentation

## ◆ rtems_string_to_double()

rtems_status_code rtems_string_to_double | ( | const char * | s,
|  | double * | n,
|  | char ** | endptr
| ) |  |

Convert String to Double (with validation).

This method converts a string to a double with range validation.

Parameters

  [in] | s | is the string to convert
  [in] | n | points to the variable to place the converted output in
  [in] | endptr | is used to keep track of the position in the string

Return values

  This | method returns RTEMS_SUCCESSFUL on successful conversion and *n is filled in. Otherwise, the status indicates the source of the error.

## ◆ rtems_string_to_float()

rtems_status_code rtems_string_to_float | ( | const char * | s,
|  | float * | n,
|  | char ** | endptr
| ) |  |

Convert String to Float (with validation).

This method converts a string to a float with range validation.

Parameters

  [in] | s | is the string to convert
  [in] | n | points to the variable to place the converted output in
  [in] | endptr | is used to keep track of the position in the string

Return values

  This | method returns RTEMS_SUCCESSFUL on successful conversion and *n is filled in. Otherwise, the status indicates the source of the error.

## ◆ rtems_string_to_int()

rtems_status_code rtems_string_to_int | ( | const char * | s,
|  | int * | n,
|  | char ** | endptr,
|  | int | base
| ) |  |

Convert String to Int (with validation).

This method converts a string to an int with range validation.

Parameters

  [in] | s | is the string to convert
  [in] | n | points to the variable to place the converted output in
  [in] | endptr | is used to keep track of the position in the string
  [in] | base | is the expected base of the number

Return values

  This | method returns RTEMS_SUCCESSFUL on successful conversion and *n is filled in. Otherwise, the status indicates the source of the error.

## ◆ rtems_string_to_long()

rtems_status_code rtems_string_to_long | ( | const char * | s,
|  | long * | n,
|  | char ** | endptr,
|  | int | base
| ) |  |

Convert String to Long (with validation).

This method converts a string to a long with range validation.

Parameters

  [in] | s | is the string to convert
  [in] | n | points to the variable to place the converted output in
  [in] | endptr | is used to keep track of the position in the string
  [in] | base | is the expected base of the number

Return values

  This | method returns RTEMS_SUCCESSFUL on successful conversion and *n is filled in. Otherwise, the status indicates the source of the error.

## ◆ rtems_string_to_long_double()

rtems_status_code rtems_string_to_long_double | ( | const char * | s,
|  | long double * | n,
|  | char ** | endptr
| ) |  |

Convert String to long double (with validation).

This method converts a string to a long double with range validation.

Parameters

  [in] | s | is the string to convert
  [in] | n | points to the variable to place the converted output in
  [in] | endptr | is used to keep track of the position in the string

Return values

  This | method returns RTEMS_SUCCESSFUL on successful conversion and *n is filled in. Otherwise, the status indicates the source of the error.

## ◆ rtems_string_to_long_long()

rtems_status_code rtems_string_to_long_long | ( | const char * | s,
|  | long long * | n,
|  | char ** | endptr,
|  | int | base
| ) |  |

Convert String to Long Long (with validation).

This method converts a string to a long long with range validation.

Parameters

  [in] | s | is the string to convert
  [in] | n | points to the variable to place the converted output in
  [in] | endptr | is used to keep track of the position in the string
  [in] | base | is the expected base of the number

Return values

  This | method returns RTEMS_SUCCESSFUL on successful conversion and *n is filled in. Otherwise, the status indicates the source of the error.

## ◆ rtems_string_to_pointer()

rtems_status_code rtems_string_to_pointer | ( | const char * | s,
|  | void ** | n,
|  | char ** | endptr
| ) |  |

Convert String to Pointer (with validation).

This method converts a string to a pointer (void *) with basic numeric validation.

Parameters

  [in] | s | is the string to convert
  [in] | n | points to the variable to place the converted output in
  [in] | endptr | is used to keep track of the position in the string

Return values

  This | method returns RTEMS_SUCCESSFUL on successful conversion and *n is filled in. Otherwise, the status indicates the source of the error.

## ◆ rtems_string_to_unsigned_char()

rtems_status_code rtems_string_to_unsigned_char | ( | const char * | s,
|  | unsigned char * | n,
|  | char ** | endptr,
|  | int | base
| ) |  |

Convert String to Unsigned Character (with validation).

This method converts a string to an unsigned character with range validation.

Parameters

  [in] | s | is the string to convert
  [in] | n | points to the variable to place the converted output in
  [in] | endptr | is used to keep track of the position in the string
  [in] | base | is the expected base of the number

Return values

  This | method returns RTEMS_SUCCESSFUL on successful conversion and *n is filled in. Otherwise, the status indicates the source of the error.

## ◆ rtems_string_to_unsigned_int()

rtems_status_code rtems_string_to_unsigned_int | ( | const char * | s,
|  | unsigned int * | n,
|  | char ** | endptr,
|  | int | base
| ) |  |

Convert String to Unsigned Int (with validation).

This method converts a string to an unsigned int with range validation.

Parameters

  [in] | s | is the string to convert
  [in] | n | points to the variable to place the converted output in
  [in] | endptr | is used to keep track of the position in the string
  [in] | base | is the expected base of the number

Return values

  This | method returns RTEMS_SUCCESSFUL on successful conversion and *n is filled in. Otherwise, the status indicates the source of the error.

## ◆ rtems_string_to_unsigned_long()

rtems_status_code rtems_string_to_unsigned_long | ( | const char * | s,
|  | unsigned long * | n,
|  | char ** | endptr,
|  | int | base
| ) |  |

Convert String to Unsigned Long (with validation).

This method converts a string to an unsigned long with range validation.

Parameters

  [in] | s | is the string to convert
  [in] | n | points to the variable to place the converted output in
  [in] | endptr | is used to keep track of the position in the string
  [in] | base | is the expected base of the number

Return values

  This | method returns RTEMS_SUCCESSFUL on successful conversion and *n is filled in. Otherwise, the status indicates the source of the error.

## ◆ rtems_string_to_unsigned_long_long()

rtems_status_code rtems_string_to_unsigned_long_long | ( | const char * | s,
|  | unsigned long long * | n,
|  | char ** | endptr,
|  | int | base
| ) |  |

Convert String to Unsigned Long Long (with validation).

This method converts a string to an unsigned character with range validation.

Parameters

  [in] | s | is the string to convert
  [in] | n | points to the variable to place the converted output in
  [in] | endptr | is used to keep track of the position in the string
  [in] | base | is the expected base of the number

Return values

  This | method returns RTEMS_SUCCESSFUL on successful conversion and *n is filled in. Otherwise, the status indicates the source of the error.